API reference
List normalized events
Returns the most recent normalized on-chain Transfer events scoped to the calling org + environment.
GET
/v1/eventsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard (no sk_ prefix required).
In: header
Query Parameters
tx_hash?string
Filter by source transaction hash.
to_address?string
Filter by recipient (auto-normalized for the supplied chain).
limit?number
Page size (1-200, default 50).
payment_order_id?string
Filter to events matched to a specific payment order.
asset?string
Filter by stablecoin asset.
chain?string
Filter by chain id.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/events"{
"items": [
{
"id": "string",
"chain": "ethereum",
"asset": "USDC",
"from_address": "string",
"to_address": "string",
"amount": "string",
"tx_hash": "string",
"log_index": 0,
"block_number": "string",
"payment_order_id": "string",
"confirmations": 0,
"detected_at": "2019-08-24T14:15:22Z"
}
]
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}